Image Generation
Image Generation API enables to create images from text prompts with unique capabilities for character consistency.
Quick Examples
Prompt:
A beautiful young woman sits on the bed.

Applied LoRA: Art_style_Impressionist
Using Text-to-Image API for Image Generation
https://open.eternalai.org/creative-ai/image
Request Example:
- Bash
curl --request POST \
--location 'https://open.eternalai.org/creative-ai/image' \
--header 'accept: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "A beautiful young woman sits on the bed."
}
]
}
],
"type": "new",
"lora_config": {
"Art_style_Impressionist": 1
}
}'
Response Example:
{
"request_id": "921864",
"status": "pending",
"result": "",
"progress": 0
}
Poll for Result
This usually takes about 45s to 1m for the image to be generated. Periodically call the following result retrieval api with the request_id obtained from the previous step to poll for that request's result.
https://open.eternalai.org/creative-ai/result/image
The polling interval can be set to 2s to retrieve updated image generation progress percentages from the polling response.
Result retrieval example:
- Bash
curl --request GET \
--location 'https://open.eternalai.org/creative-ai/result/image?request_id=$REQUEST_ID' \
--header 'accept: application/json'
On success, the response is a JSON object with a result object containing a result_url field. This result_url is a signed URL for retrieving the generated image.
Response example:
{
"request_id": "1829499",
"status": "success",
"progress": 0,
"created_at": "2026-01-14T07:43:15Z",
"updated_at": "2026-01-14T07:44:04Z",
"image_request_type": "generation",
"file_name": "5bf6581e-e3c4-409d-b70a-c6cb1876ea61.png",
"prompt": "A beautiful young woman sits on the bed.",
"magic_prompt": "A beautiful young woman sits on the bed.",
"model": "black-forest-labs/FLUX.1-dev",
"result_image": "",
"result_image_url": "https://cdn.eternalai.org/feed/2026/01/14/5bf6581e-e3c4-409d-b70a-c6cb1876ea61.png",
"result_url": "https://cdn.eternalai.org/feed/2026/01/14/5bf6581e-e3c4-409d-b70a-c6cb1876ea61.png",
"queue_info": {
"queue_position": null,
"total_queue_size": null,
"estimated_wait_time": null
},
"post_feed": false,
"log": ""
}
Available LoRA Configurations
Use these values in the lora_config field when calling the API.
For the latest list of supported LoRA configurations, you can also fetch from this API:
curl --request GET --location 'https://open.eternalai.org/creative-ai/generate-image/effects' | jq
Name: Daubrez Painterly Style
curl --request POST \
--location 'https://open.eternalai.org/creative-ai/image' \
--header 'accept: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "DB4RZ Daubrez style painting of abstract art masterpiece"
}
]
}
],
"type": "new",
"lora_config": {
"FLUX-daubrez-DB4RZ": 1
}
}'

Style LoRA image
Name: Anime Art-Style
curl --request POST \
--location 'https://open.eternalai.org/creative-ai/image' \
--header 'accept: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "Psycho_4rt anime girl with glitching abstract surreal brushstrokes"
}
]
}
],
"type": "new",
"lora_config": {
"psycho_art": 1
}
}'

Style LoRA image
Name: Flux.1_Mechanical Bloom · Surreal Anime-style Portrait
curl --request POST \
--location 'https://open.eternalai.org/creative-ai/image' \
--header 'accept: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "CynthiaPortrait: Human girl with mechanical floral implants in a decaying cyberpunk cityscape"
}
]
}
],
"type": "new",
"lora_config": {
"Flux_1_MechanicalBloom": 1
}
}'

Style LoRA image
Name: RandomMaxx Artistify
curl --request POST \
--location 'https://open.eternalai.org/creative-ai/image' \
--header 'accept: application/json' \
--header 'x-api-key: <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '{
"messages": [
{
"role": "user",
"content": [
{
"type": "text",
"text": "Elegant girl flowing hair surrounded by surreal dreamlike artistic elements"
}
]
}
],
"type": "new",
"lora_config": {
"RM_Artistify_v1_0M": 1
}
}'

Style LoRA image